com.verisign.epp.serverstub

## Class NamestoreExtHostHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPHostHandler
  - - com.verisign.epp.serverstub.HostHandler
    - - com.verisign.epp.serverstub.NamestoreExtHostHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NamestoreExtHostHandler
      extends HostHandler

  The `NamestoreExtHostHandler` class extends `HostHandler` to include responding with Namestore Extension attributes. Specifically, sub-product is passed into the handler and is returned.
  Version:
    $Revision: 1.5 $
  Author:
    $Author: jim $
  See Also:
    `EPPEvent`, `EPPEventResponse`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamestoreExtHostHandler()` Constructs an instance of NamestoreExtHostHandler

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doHostCheck(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doHostCheck` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doHostCreate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doHostCreate` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doHostDelete(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doHostDelete` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doHostInfo(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doHostUpdate` method and add NameStore Extension to response.
    `protected EPPEventResponse` | `doHostUpdate(EPPEvent aEvent, java.lang.Object aData)` Override base handler `doHostUpdate` method and add NameStore Extension to response.
    `protected void` | `preHandleEvent(EPPEvent aEvent, java.lang.Object aData)` Will ensure that the namestore extension is provided.

    - ### Methods inherited from class com.verisign.epp.serverstub.HostHandler

      `postHandleEvent`

    - ### Methods inherited from class com.verisign.epp.framework.EPPHostHandler

      `getNamespace, handleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamestoreExtHostHandler

          public NamestoreExtHostHandler()

      Constructs an instance of NamestoreExtHostHandler

  - ### Method Detail

    - #### preHandleEvent

          protected void preHandleEvent(EPPEvent aEvent,
                                        java.lang.Object aData)
                                 throws EPPHandleEventException

      Will ensure that the namestore extension is provided.
      Overrides:
        `preHandleEvent` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomainHandler` This is assumed to be an instance of SessionData here.
      Throws:
        `EPPHandleEventException` - Thrown if an error condition occurs. It must contain an `EPPEventResponse`

    - #### doHostCreate

          protected EPPEventResponse doHostCreate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doHostCreate` method and add NameStore Extension to response.
      Overrides:
        `doHostCreate` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostCheck

          protected EPPEventResponse doHostCheck(EPPEvent aEvent,
                                                 java.lang.Object aData)

      Override base handler `doHostCheck` method and add NameStore Extension to response.
      Overrides:
        `doHostCheck` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostDelete

          protected EPPEventResponse doHostDelete(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doHostDelete` method and add NameStore Extension to response.
      Overrides:
        `doHostDelete` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostInfo

          protected EPPEventResponse doHostInfo(EPPEvent aEvent,
                                                java.lang.Object aData)

      Override base handler `doHostUpdate` method and add NameStore Extension to response.
      Overrides:
        `doHostInfo` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

    - #### doHostUpdate

          protected EPPEventResponse doHostUpdate(EPPEvent aEvent,
                                                  java.lang.Object aData)

      Override base handler `doHostUpdate` method and add NameStore Extension to response.
      Overrides:
        `doHostUpdate` in class `HostHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPDomaindHandler`
      Returns:
        EPPEventResponse The response that should be sent back to the client.

Copyright © VeriSign Inc. All Rights Reserved.